Bug 142263 - Regression with EMF sample from 55007
Summary: Regression with EMF sample from 55007
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: graphics stack (show other bugs)
Version:
(earliest affected)
7.2.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Bartosz
URL:
Whiteboard: target:7.2.0 target:7.1.5
Keywords: bibisected, bisected, regression
Depends on:
Blocks: EMF-WMF
  Show dependency treegraph
 
Reported: 2021-05-13 18:28 UTC by Valek Filippov
Modified: 2021-05-21 08:21 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot from LO 7.2master of May 11, 2021 (23.97 KB, image/png)
2021-05-13 18:30 UTC, Valek Filippov
Details
Screenshot from LO 7.0.5 (41.80 KB, image/png)
2021-05-13 18:31 UTC, Valek Filippov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Valek Filippov 2021-05-13 18:28:51 UTC
Description:
LO 7.2 master from May 11, 2021 shows way less circles on the drawing from bug 55007 comparing with LO 7.0.5

Steps to Reproduce:
Compare the results of opening EMF file from 55007 in LO 7.0.5 and LO 7.2

Actual Results:
Most of the circles/arcs from the bottom part of the drawing are not shown in LO 7.2

Expected Results:
It should be at least the same as before.


Reproducible: Always


User Profile Reset: No



Additional Info:
Sample from 55007 is too big to be handled efficiently, looking to cut it into smaller pieces.
Comment 1 Valek Filippov 2021-05-13 18:30:40 UTC
Created attachment 171973 [details]
Screenshot from LO 7.2master of May 11, 2021
Comment 2 Valek Filippov 2021-05-13 18:31:50 UTC
Created attachment 171974 [details]
Screenshot from LO 7.0.5
Comment 3 Xisco Faulí 2021-05-13 21:40:53 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=6bf2239a189423d087b2536dd7054b21df58ddc4

author	Bartosz Kosiorek <gang65@poczta.onet.pl>	2021-05-06 17:43:57 +0200
committer	Bartosz Kosiorek <gang65@poczta.onet.pl>	2021-05-06 20:59:19 +0200
commit	6bf2239a189423d087b2536dd7054b21df58ddc4 (patch)
tree	e176c4f2e4f693831339106b1f01c13180d391d3
parent	ef5b56123701b62b7fabeb1d1d9a7d1a4aa00d97 (diff)
tdf#55058 tdf#141982 EMF: Add rotation support for ARC, ARCTO, CHORD, PIE

Bisected with: bibisect-linux64-7.2

Adding Cc: to Bartosz Kosiorek
Comment 4 Commit Notification 2021-05-18 18:43:05 UTC
Bartosz Kosiorek committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/39369c6e67dffe04acc4abb678c1a94526237fd8

tdf#55007 tdf#142263 tdf#142268 EMF Properly display ARC and CHORD

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Xisco Faulí 2021-05-20 21:58:11 UTC
Issue verified in

Version: 7.2.0.0.alpha1+ / LibreOffice Community
Build ID: 4e4e02904fdff021631e7758a277b7c1c7b9378a
CPU threads: 4; OS: Linux 5.7; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded

@Bartosz, thanks for fixing this issue. Should it be closed as RESOLVED FIXED ?
Comment 6 Commit Notification 2021-05-21 05:31:33 UTC
Bartosz Kosiorek committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/fb5247bf587518eaa01cf5d54dceddf73827d740

tdf#55007 tdf#142263 tdf#142268 EMF ARC, PIE, CHORD allow to draw circle

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2021-05-21 08:21:17 UTC
Bartosz Kosiorek committed a patch related to this issue.
It has been pushed to "libreoffice-7-1":

https://git.libreoffice.org/core/commit/71edc1d1af9691f7b5067579f22d3d8677c1608c

tdf#55007 tdf#142263 tdf#142268 EMF Properly display ARC and CHORD

It will be available in 7.1.5.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.